[gnome-calendar] build: fixed builddir != srcdir situations



commit cfa5f530d2b598b8e961c3b3cc51607f60fea1e0
Author: Erick Perez Castellanos <erick red gmail com>
Date:   Tue Mar 15 13:14:09 2016 -0500

    build: fixed builddir != srcdir situations
    
    Started to updating the build system in order to get rid of intltool

 Makefile.am  |    2 --
 autogen.sh   |   16 +++++++++++-----
 configure.ac |    4 ++--
 3 files changed, 13 insertions(+), 9 deletions(-)
---
diff --git a/Makefile.am b/Makefile.am
index c0ae485..f99b982 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,5 +1,3 @@
-ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS}
-
 SUBDIRS = src data po
 DIST_SUBDIRS = src data po
 
diff --git a/autogen.sh b/autogen.sh
index 8e9caee..96b5d8d 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -2,8 +2,15 @@
 # Run this to generate all the initial makefiles, etc.
 set -e
 
-autoreconf -i -f
-intltoolize --force --copy --automake
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+olddir=`pwd`
+cd $srcdir
+
+mkdir -p m4
+autoreconf --verbose --force --install || exit $?
+intltoolize --force --copy --automake || exit $?
 
 if test -z "$NOCONFIGURE"; then
     run_configure=true
@@ -20,6 +27,5 @@ else
     run_configure=false
 fi
 
-if test $run_configure = true; then
-    ./configure "$@"
-fi
+cd "$olddir"
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
diff --git a/configure.ac b/configure.ac
index c16a812..7589a99 100644
--- a/configure.ac
+++ b/configure.ac
@@ -9,8 +9,8 @@ AC_CONFIG_AUX_DIR([build-aux])
 
 AM_SILENT_RULES([yes])
 
-# require automake 1.11.1
-AM_INIT_AUTOMAKE([1.11.1 dist-xz no-dist-gzip tar-ustar])
+# require automake 1.13
+AM_INIT_AUTOMAKE([1.13 dist-xz no-dist-gzip tar-ustar])
 AM_MAINTAINER_MODE([enable])
 
 dnl ***************************************************************************


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]